Package org.apache.sling.commons.crypto.internal

# Class SecureRandomSaltProvider

java.lang.Object
org.apache.sling.commons.crypto.internal.SecureRandomSaltProvider

All Implemented Interfaces:
  `SaltProvider`

public final class SecureRandomSaltProvider extends Object implements SaltProvider
Provider of salts created from `SecureRandom`.

See Also:
  - `SecureRandom`

## Constructor Summary

Constructors
Constructor
Description
`SecureRandomSaltProvider()`

## Method Summary

Modifier and Type
Method
Description
`byte @NotNull []`
`getSalt()`
Provides the salt.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### SecureRandomSaltProvider

public SecureRandomSaltProvider()

## Method Details

### getSalt

public byte @NotNull [] getSalt()
Description copied from interface: `SaltProvider`
Provides the salt.

Specified by:
  `getSalt` in interface `SaltProvider`
Returns:
  The salt